Pattern selector

Most relevant patterns first. Most helpful ones displayed. Click here to show all.

  1. ClassLoader.loadClass() has thrown an UnsupportedClassVersionError
    Java Runtime
    3
    9
    0
  2. ClassLoader.defineClass() has thrown an UnsupportedClassVersionError
    Java Runtime
    433
    771
    233

Your stack trace compared to the selected pattern

Jump to solutionsExpand frames
java.lang.UnsupportedClassVersionError: com/cavariux/twitchirc/Core/TwitchBot : Unsupported major.minor version 52.0
    at java.lang.ClassLoader.defineClass1(Native Method)
    at java.lang.ClassLoader.defineClass(ClassLoader.java:800)
    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
    at java.net.URLClassLoader.defineClass(URLClassLoader.java:449)
21 frames hidden

Solution

Shane Rogers1 year ago

This exception occurs when using an older version of java. Mainly when trying to run a jar compiled with a newer Java version in an older Java version. We can avoid this issue by executing the jar in the same version which it was compiled.

Check the source of this solution for more info

External results for this pattern (10)

  1. natashapintovia GitHub3 weeks ago
    No message found for this stack trace.
    Show stack trace
  2. ddemaeyervia GitHub3 weeks ago
    org/tmoerman/adam/fx/avro/SnpEffAnnotations : Unsupported major.minor version 52.0
    Show stack trace
  3. sherppardvia GitHub3 weeks ago
    burp/BurpExtender : Unsupported major.minor version 52.0
    Show stack trace
  4. pagenbagvia GitHub3 weeks ago
    org/elasticsearch/bootstrap/Elasticsearch : Unsupported major.minor version 52.0
    Show stack trace
  5. randomgambitvia GitHub3 weeks ago
    org/apache/spark/launcher/Main : Unsupported major.minor version 52.0
    Show stack trace
  6. marcinkowalczyk2via GitHub4 weeks ago
    java.lang.UnsupportedClassVersionError: net/dzikoysk/funnyguilds/FunnyGuilds : Unsupported major.minor version 52.0
    Show stack trace
  7. xPiwkoPLvia GitHub4 weeks ago
    java.lang.UnsupportedClassVersionError: net/dzikoysk/funnyguilds/FunnyGuilds : Unsupported major.minor version 52.0
    Show stack trace
  8. filipqwvia GitHub4 weeks ago
    java.lang.UnsupportedClassVersionError: net/dzikoysk/funnyguilds/FunnyGuilds : Unsupported major.minor version 51.0
    Show stack trace
  9. ALISTAR1234via GitHub4 weeks ago
    org/panda_lang/panda/util/configuration/PandaConfiguration : Unsupported major.minor version 52.0
    Show stack trace
  10. achyuthrbtvia GitHub4 weeks ago
    No message found for this stack trace.
    Show stack trace